Bug 315 - Inability to load second stage on NFS install
Inability to load second stage on NFS install
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
5.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1998-12-05 23:50 EST by darkwing
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1998-12-07 16:28:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description darkwing 1998-12-05 23:50:50 EST
I'm trying to do an NFS install. The ethernet card
(EtherExpress) is autodetected and name lookup works. When
I give the program a (valid) name and directory of an
installation archive, the following is output to a console:

* calling mount(sipb-nfs:/redhat/5.2/i386, /tmp/rhimage,
nfs, -105820971, 0x80b4504)
* method selection completed
* writing network information to /tmp/ifcfg-eth0
* state saved to /tmp
* error in exec of second stage loader :-(
*       error:No such file or directory

I've tried this on multiple servers, and verified on each
that the path is accessible, mountable, and contains the
proper files with the proper permissions.‰
Comment 1 David Lawrence 1998-12-06 15:41:59 EST
Have you been able to get any previous installs to work from this tree
on different workstations?
Comment 2 darkwing 1998-12-06 16:10:59 EST
A different machine produces the same error on two install trees on
two distinct NFS servers.
Interestingly, though, the install program can mount a 5.1 install
tree and proceed into second stage install, though with the (expected)
error "/usr/lib/rpmrc: No such file or directory"‰
Comment 3 darkwing 1998-12-06 17:20:59 EST
A different machine produces the same error on two install trees on
two distinct NFS servers.
Interestingly, though, the install program can mount a 5.1 install
tree and proceed into second stage install, though with the (expected)
error "/usr/lib/rpmrc: No such file or directory"‰
Comment 4 David Lawrence 1998-12-07 16:28:59 EST
The 5.1 and 5.2 boot disks are not interchangeable due to a different
location of /var/lib/rpmrc. As for the other problem I have not been
able to replicate the problem in the lab. I would do a permissions
comparison between the working 5.1 tree and the 5.2 tree to make sure
all files and directories are set correctly.

Note You need to log in before you can comment on or make changes to this bug.